Validate import storage

Validate a specific GCS import storage connection.

Authentication

Authorizationstring
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Request

This endpoint expects an object.
bucketstringOptional
GCS bucket name
descriptionstringOptional
Storage description
google_application_credentialsstringOptional

The content of GOOGLE_APPLICATION_CREDENTIALS json file. Check official Google Cloud Authentication documentation for more details.

google_project_idstringOptional
Google project ID
idintegerOptional
Storage ID. If set, storage with specified ID will be updated
prefixstringOptional
GCS bucket prefix
presignbooleanOptionalDefaults to true
Presign URLs for direct download
presign_ttlintegerOptionalDefaults to 1
Presign TTL in minutes
projectintegerOptional
Project ID
regex_filterstringOptional
Cloud storage regex for filtering objects. You must specify it otherwise no objects will be imported.
titlestringOptional<=2048 characters
Storage title
use_blob_urlsbooleanOptionalDefaults to false
Interpret objects as BLOBs and generate URLs. For example, if your bucket contains images, you can use this option to generate URLs for these images. If set to False, it will read the content of the file and load it into Label Studio.

Response

Validation successful